Bug 10361 - git-mv fails to rename directory on certain trees
: git-mv fails to rename directory on certain trees
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/git-core)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://article.gmane.org/gmane.comp.v...
:
:
:
  Show dependency tree
 
Reported: 2006-12-03 16:23 by
Modified: 2006-12-15 22:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-03 16:23:56
$ mkdir ab; touch ab.c; touch ab/d; cg-init; git mv ab a
defaulting to local storage area
Adding file ab.c
Adding file ab/d
Committing initial tree f2dd231ec22a1d4376d4a6eadf49d87dd34ac2a0
Committed as 704a2f9bea3286618d1956d200d91f2c5b5c095a
fatal: source directory is empty, source=ab, destination=a
------- Comment #1 From 2006-12-03 17:06:51 -------
Воспроизводится и в текущем 'master'.

http://thread.gmane.org/gmane.comp.version-control.git/33112
------- Comment #2 From 2006-12-07 02:17:22 -------
Fixed in 1.4.4.1-alt2